#ifndef OSD_H_
#define OSD_H_

#define OSD_CTRL_REG     0 
#define OSD_FONT_RAM     1 
#define OSD_CODE_BUFFER  2 
#define OSD_ATTR_REG     3 

#define OSD_RW_CTRL          0xF6 
#define OSD_ADDRESS_L        0xF2 
#define OSD_ADDRESS_H        0xF3 
#define OSD_DATA_L           0xF4 
#define OSD_DATA_H           0xF5 
#define OSD_ENABLE           0x16 
 
#define MXIC_CHAR_COUNT_PER_LINE     16 
#define MXIC_CHAR_LINE_COUNT         8 

#define OSD_COL_COUNT 16 
#define OSD_ROW_COUNT 8 

unsigned char MXIC_WriteExternalReg(unsigned char m_Address,unsigned char m_Data);

unsigned char MXIC_ReadExternalReg(unsigned char m_Address);

unsigned char MXIC_OSDReg_Write(unsigned char m_Target,unsigned int m_Address,unsigned char *m_Data,unsigned int m_Count);

unsigned char MXIC_OSDReg_SingleWrite(unsigned char m_Target,unsigned short m_Address,unsigned char m_HighByte,unsigned char m_LowByte);   

unsigned char ASCII_TO_FONTIndex(unsigned char m_AnyChar);

unsigned char MXIC_OSD_ShowText(unsigned char *m_Str,unsigned char m_Count,unsigned char m_RowVal,unsigned char m_ColVal);

unsigned char OSD_AutoLoadRamFont(void);

unsigned char OSD_Initial(void);

unsigned char OSD_ShowText(unsigned char *m_Str,unsigned char m_Count,unsigned int xPos,unsigned int yPos);

#endif
