#define uCHAR_FLASH    uint8_t __attribute__ ((progmem))
#define READ_FLASH(x)  pgm_read_byte(&x)

#define setbit(PORT,PIN,DATA) if(DATA){(PORT)|=_BV(PIN);}else{(PORT)&=~_BV(PIN);}
#define getbit(x,y)((x&(1<<y)) ? 1:0)
#define sbi(PORT,PIN) (PORT)|=_BV(PIN)
#define cbi(PORT,PIN) (PORT)&=~_BV(PIN)
#define outb(addr, data)   addr = (data) 
#define inb(addr)   (addr)
#define BYTEH(word) (char)(word>>8)
#define BYTEL(word) (char)(word)
#define WORD(byteh,bytel) ((int)byteh<<8)|bytel
		
//#define F_CPU 8000000UL		
#define F_CPU 16000000UL	

#define I2C_DELAY  	5          	

#define SDA_PIN     4			
#define SCL_PIN     5
#define I2C_PORTIN  PINC
#define I2C_PORT    PORTC
#define I2C_DDR     DDRC

#define KEY_DEC   	(PINB & (1 << 2))
#define KEY_SET   	(PINB & (1 << 1))
#define KEY_INC   	(PINB & (1 << 0))

#define MODE_MAX 4

unsigned char AVR_Initial(void)
{

	//key in
	DDRB&=~0b00000111; 
	PORTB|=0b00000111;

	//reset out
	DDRD|=0b00000001; 
	PORTD|=0b00000001;

	return 1;
}


